## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate async-global-executor

Name:           rust-async-global-executor
Version:        2.4.1
Release:        %autorelease
Summary:        Global executor built on top of async-executor and async-io

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/async-global-executor
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused support for tokio v0.2 and v0.3
Patch:          async-global-executor-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A global executor built on top of async-executor and async-io.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-io-devel %{_description}

This package contains library source intended for building other packages which
use the "async-io" feature of the "%{crate}" crate.

%files       -n %{name}+async-io-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-crate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-crate-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-crate" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-crate-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Dec 20 2024 MSVSphere Packaging Team <packager@msvsphere-os.ru> - 2.4.1-3
- Rebuilt for MSVSphere 10

## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 05 2024 Fabio Valentini <decathorpe@gmail.com> - 2.4.1-1
- Update to version 2.4.1; Fixes RHBZ#2251185

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 2.3.1-1
- Update to version 2.3.1; Fixes RHBZ#2138452

* Mon Sep 05 2022 Fabio Valentini <decathorpe@gmail.com> - 2.3.0-1
- Update to version 2.3.0; Fixes RHBZ#2122272

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-1
- Update to version 2.2.0; Fixes RHBZ#2099387

* Mon May 30 2022 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-1
- Update to version 2.1.0; Fixes RHBZ#2091363

* Thu Mar 31 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.4-1
- Update to version 2.0.4; Fixes RHBZ#2070440

* Fri Mar 04 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.3-1
- Update to version 2.0.3; Fixes RHBZ#2059894

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue May 25 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-1
- Initial package

## END: Generated by rpmautospec
